Blob Blame History Raw
# Provenpackagers are welcome to modify this package, but please don't obsolete
# additional packages without a corresponding bugzilla ticket being filed.

# Please remember to add all of the necessary information.  See below the
# Source0: line for a description of the format.  It is important that
# everything be included; yanking packages from an end-user system is "serious
# business" and should not be done lightly or without making everything as
# clear as possible.

# Finally, please keep python2 obsoletes together, since there is bound to be a
# significant number of them.

Name:       fedora-obsolete-packages
# Please keep the version equal to the targeted Fedora release
Version:    29
Release:    22
Summary:    A package to obsolete retired packages

# This package has no actual content; there is nothing to license.
License:    Public Domain
URL:        https://fedoraproject.org/wiki/Packaging:Guidelines#Renaming.2FReplacing_Existing_Packages
BuildArch:  noarch

Source0:    README

# Add Obsoletes: below, along with links to the relevant bugzilla tickets filed
# against this package and the version in which the entry can be removed.  This
# is generally three releases beyond whatever release Rawhide is currently.

# The bugzilla links are important; please don't leave them out!

# All Obsoletes: entries MUST be versioned (including the release), with the
# version being the same as or just higher than the last version-release of the
# obsoleted package.  This allows the package to return to the distribution
# later.  The best possible thing to do is to find the last version-release
# which was in the distribution, add one to the release, and add that version
# without using a dist tag.  This allows a rebuild with a bumped Release: to be
# installed.

# And don't forget to update the package description!

# Template:
# https://bugzilla.redhat.com/show_bug.cgi?id=1234567
# Remove in F32
# Obsoletes: foo <= 3.5-7

# ========================================
# Please place non-python2 Obsoletes: here
# ========================================

# https://bugzilla.redhat.com/show_bug.cgi?id=1443614
# Remove in F30, I guess? Package was current in F26
Obsoletes: webkitgtk < 2.4.12
Obsoletes: webkitgtk-devel < 2.4.12
Obsoletes: webkitgtk3 < 2.4.12
Obsoletes: webkitgtk3-devel < 2.4.12

# Remove in F30
Obsoletes: seed < 3.9
Obsoletes: seed-devel < 3.9

# Remove in F31 - obsoleted in F-26 but not added here until f28/f29
Obsoletes: clucene09-core < 0.9.21b-17
Obsoletes: clucene09-core-devel < 0.9.21b-17

# Remove in F30
Obsoletes: compat-ImageMagick693-c++ < 6.9.4
Obsoletes: compat-ImageMagick693-libs < 6.9.4
Obsoletes: compat-libvpx1 < 1.4.0

# Remove in F30
Obsoletes: xulrunner < 46
Obsoletes: xulrunner-devel < 46

# Remove in F31
Obsoletes: python2-zeroconf < 0.20.0
Obsoletes: python2-chromecast < 2.0.0
Obsoletes: bind99-license < 9.9.11-5
Obsoletes: bind99-libs < 9.9.11-5
Obsoletes: bind99-devel < 9.9.11-5
Obsoletes: mozjs17 < 18
Obsoletes: mozjs17-devel < 18
Obsoletes: xorg-x11-drv-freedreno < 1.4.0-7

# Remove in F31
# https://bugzilla.redhat.com/show_bug.cgi?id=1568670
Obsoletes: caribou < 0.4.21-10
Obsoletes: caribou-antler < 0.4.21-10
Obsoletes: caribou-devel < 0.4.21-10
Obsoletes: caribou-gtk2-module < 0.4.21-10
Obsoletes: caribou-gtk3-module < 0.4.21-10
Obsoletes: python2-caribou < 0.4.21-10
Obsoletes: python3-caribou < 0.4.21-10

# Remove in F31
# https://bugzilla.redhat.com/show_bug.cgi?id=1570875
Obsoletes: NetworkManager-glib < 1:1.12.0-1
Obsoletes: NetworkManager-glib-devel < 1:1.12.0-1
Obsoletes: libnm-gtk < 1.8.12-1
Obsoletes: libnm-gtk-devel < 1.8.12-1

#Remove in F31
Obsoletes: libmx < 1.4.8
Obsoletes: libmx-devel < 1.4.8
Obsoletes: libmx-docs < 1.4.8
Obsoletes: presence < 0.4.9

# Remove in F31
# https://bugzilla.redhat.com/show_bug.cgi?id=1588130
Obsoletes: ppc64-utils < 0.14-26

# Remove in F31
Obsoletes: fedora-productimg-workstation < 27-4

# Remove in F31
# https://bugzilla.redhat.com/show_bug.cgi?id=1610378
Obsoletes: rolekit < 0.5.2-5

# Remove in F31
# https://bugzilla.redhat.com/show_bug.cgi?id=1610422
Obsoletes: bugwarrior < 1.5.1-8
Obsoletes: clustersos < 1.2.2-2
Obsoletes: fedrepo-req < 1.12.0-2
Obsoletes: fedrepo-req-admin < 1.12.0-2
Obsoletes: python3-amqplib < 1.0.2-22
Obsoletes: python3-compyte < 0.0.1-0.13
Obsoletes: python3-django-discover-runner < 1.0-14
Obsoletes: python3-django-keyedcache3 < 1.5.3-10
Obsoletes: python3-django-notification < 1.2.0-10
Obsoletes: python3-django-openstack-auth < 2.4.2-4
Obsoletes: python3-djvulibre < 0.8-6
Obsoletes: python3-fedrepo-req < 1.12.0-2
Obsoletes: python3-flask-restless < 0.17.0-14
Obsoletes: python3-iptools < 0.6.1-17
Obsoletes: python3-liblarch_gtk < 3.0-5
Obsoletes: python3-liblarch < 3.0-5
Obsoletes: python3-lmiwbem < 0.7.2-22
Obsoletes: python3-ludolph-zabbix < 1.7-5
Obsoletes: python3-ludolph < 1.0.1-6
Obsoletes: python3-mlpy < 3.5.0-9
Obsoletes: python3-openstack-nose-plugin < 0.11-17
Obsoletes: python3-ovirt-register < 1.0.0-20
Obsoletes: python3-pygpgme < 0.3-29
Obsoletes: python3-sleekxmpp < 1.3.2-7
Obsoletes: python3-svgwrite < 1.1.12-6
Obsoletes: python3-taskw < 1.2.0-10
Obsoletes: python3-testfixtures-tests < 4.14.3-7
Obsoletes: python3-testfixtures < 4.14.3-7
Obsoletes: python3-tlslite < 0.4.9-10
Obsoletes: python3-toro < 1.0.1-9
Obsoletes: python3-trollius-redis < 0.1.4-16
Obsoletes: python3-tweepy < 3.5.0-10
Obsoletes: python3-ufo2ft < 1.1.0-6
Obsoletes: python3-wordpress-xmlrpc < 2.3-14
Obsoletes: rtv < 1.22.1-4
Obsoletes: targetd < 0.8.6-6

# Remove in F31
# https://bugzilla.redhat.com/show_bug.cgi?id=1315425
Obsoletes: vte3 < 0.38
Obsoletes: vte3-devel < 0.38


# ==========================================
# Please collect the python2 Obsoletes: here
# ==========================================

# https://bugzilla.redhat.com/show_bug.cgi?id=1578359
# Remove in F32
Obsoletes: python2-abrt < 2.10.11
Obsoletes: python2-abrt-addon < 2.10.11
Obsoletes: python2-abrt-container-addon < 2.10.11
Obsoletes: python2-behave < 1.2.6
Obsoletes: python2-libconcord < 1.3-4
Obsoletes: python2-libreport < 2.9.6
Obsoletes: python2-pyopengl-tk < 3.1.1a1-14
Obsoletes: python2-pyqtgraph < 0.10.0-6
Obsoletes: python2-satyr < 0.27


%description
This package exists only to obsolete other packages which need to be removed
from the distribution for some reason.

Current obsoleted packages:
  webkitgtk < 2.4.12
  webkitgtk-devel < 2.4.12
  webkitgtk3 < 2.4.12
  webkitgtk3-devel < 2.4.12
  (See https://bugzilla.redhat.com/show_bug.cgi?id=1443614)

  seed < 3.9
  seed-devel < 3.9

  compat-ImageMagick693-c++ < 6.9.4
  compat-ImageMagick693-libs < 6.9.4
  compat-libvpx1 < 1.4.0

  xulrunner < 46
  xulrunner-devel < 46

  python2-zeroconf < 0.20.0
  python2-chromecast < 2.0.0
  bind99-license < 9.9.11-5
  bind99-libs < 9.9.11-5
  bind99-devel < 9.9.11-5
  mozjs17 < 18
  mozjs17-devel < 18

  NetworkManager-glib < 1:1.10.4-1
  NetworkManager-glib-devel < 1:1.10.4-1
  libnm-gtk < 1.8.10-1
  libnm-gtk-devel < 1.8.10-1
  (See: https://bugzilla.redhat.com/show_bug.cgi?id=1570875)

  ppc64-utils < ppc64-utils <= 0.14-26
  (See https://bugzilla.redhat.com/show_bug.cgi?id=1588130)

  rolekit < 0.5.2-5
  (See https://bugzilla.redhat.com/show_bug.cgi?id=1610378)

  bugwarrior < 1.5.1-8
  clustersos < 1.2.2-2
  fedrepo-req < 1.12.0-2
  fedrepo-req-admin < 1.12.0-2
  python3-amqplib < 1.0.2-22
  python3-compyte < 0.0.1-0.13
  python3-django-discover-runner < 1.0-14
  python3-django-keyedcache3 < 1.5.3-10
  python3-django-notification < 1.2.0-10
  python3-django-openstack-auth < 2.4.2-4
  python3-djvulibre < 0.8-6
  python3-fedrepo-req < 1.12.0-2
  python3-flask-restless < 0.17.0-14
  python3-iptools < 0.6.1-17
  python3-liblarch_gtk < 3.0-5
  python3-liblarch < 3.0-5
  python3-lmiwbem < 0.7.2-22
  python3-ludolph-zabbix < 1.7-5
  python3-ludolph < 1.0.1-6
  python3-mlpy < 3.5.0-9
  python3-openstack-nose-plugin < 0.11-17
  python3-ovirt-register < 1.0.0-20
  python3-pygpgme < 0.3-29
  python3-sleekxmpp < 1.3.2-7
  python3-svgwrite < 1.1.12-6
  python3-taskw < 1.2.0-10
  python3-testfixtures-tests < 4.14.3-7
  python3-testfixtures < 4.14.3-7
  python3-tlslite < 0.4.9-10
  python3-toro < 1.0.1-9
  python3-trollius-redis < 0.1.4-16
  python3-tweepy < 3.5.0-10
  python3-ufo2ft < 1.1.0-6
  python3-wordpress-xmlrpc < 2.3-14
  rtv < 1.22.1-4
  targetd < 0.8.6-6
  (see https://bugzilla.redhat.com/show_bug.cgi?id=1610422)

  vte3 < 0.38
  vte3-devel < 0.38
  (See https://bugzilla.redhat.com/show_bug.cgi?id=1315425)

Plus the following python2 packages, in accordance with the general switch away
from Python2 ahead of its retirement in 2020.  See
https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3 for more
information.

  python2-abrt < 2.10.11
  python2-abrt-addon < 2.10.11
  python2-abrt-container-addon < 2.10.11
  python2-behave < 1.2.6
  python2-libconcord < 1.3-4
  python2-libreport < 2.9.6
  python2-pyopengl-tk < 3.1.1a1-14
  python2-pyqtgraph < 0.10.0-6
  python2-satyr < 0.27
  (See: https://bugzilla.redhat.com/show_bug.cgi?id=1578359)

%prep
%autosetup -c -T
cp %SOURCE0 .


%files
%doc README


%changelog
* Wed Sep 12 2018 Scott Talbert <swt@techie.net> - 29-22
- Obsolete python2-libconcord, python2-pyqtgraph, python2-pyopengl-tk

* Mon Sep 03 2018 Miro Hrončok <mhroncok@redhat.com> - 29-21
- Obsolete python2-behave (#1624838)

* Wed Aug 22 2018 Miro Hrončok <mhroncok@redhat.com> - 29-20
- Obsolete more python3 packages (#1610422)

* Mon Aug 20 2018 Miro Hrončok <mhroncok@redhat.com> - 29-19
- Bump up version of abrt packages

* Fri Aug 17 2018 Miro Hrončok <mhroncok@redhat.com> - 29-18
- Obsolete python3-svgwrite (#1610422) (#1605936)

* Thu Aug 16 2018 Miro Hrončok <mhroncok@redhat.com> - 29-17
- Obsolete python3-trollius-redis (#1610422) (#1606877)

* Mon Aug 13 2018 Kalev Lember <klember@redhat.com> - 29-16
- Obsolete vte3 (#1315425)

* Wed Aug 08 2018 Miro Hrončok <mhroncok@redhat.com> - 29-15
- Obsolete python3-ovirt-register (#1610422) (#1605819)

* Wed Aug 01 2018 Miro Hrončok <mhroncok@redhat.com> - 29-14
- Obsolete removed python3 packages (#1610422)

* Tue Jul 31 2018 Stephen Gallagher <sgallagh@redhat.com> - 29-13
- Obsolete rolekit

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 29-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Mon Jul 02 2018 Pete Walter <pwalter@fedoraproject.org> - 29-11
- Obsolete fedora-productimg-workstation
- Bump NetworkManager-glib and libnm-gtk obsoletes versions

* Wed Jun 06 2018 Jason L Tibbitts III <tibbs@math.uh.edu> - 29-10
- Add ppc64-utils (https://bugzilla.redhat.com/show_bug.cgi?id=1588130).

* Fri May 18 2018 Jason L Tibbitts III <tibbs@math.uh.edu> - 29-9
- Add abrt-related python2 packages.
- Clean up and add more documentation, since many provenpackagers are modifying
  this package without including the needed information.
- Remove the last F29 entries.
- Fix bogus date in %%changelog.

* Thu May 17 2018 Lubomir Rintel <lkundrak@v3.sk> - 29-8
- Bump version of libnm-glib packages to f28 updates

* Mon May 07 2018 Pete Walter <pwalter@fedoraproject.org> - 29-7
- Obsolete python2-caribou and python3-caribou as well (#1568670)

* Fri May  4 2018 Peter Robinson <pbrobinson@fedoraproject.org> 29-6
- Obsolete libmx and presence
- Obsolete clucene09-core xorg-x11-drv-freedreno

* Fri May 04 2018 Pete Walter <pwalter@fedoraproject.org> - 29-5
- Obsolete old caribou versions (#1568670)

* Tue Apr 24 2018 Jason L Tibbitts III <tibbs@math.uh.edu> - 29-4
- Remove a number of "Remove in F28" and "Remove in F29" entries.

* Mon Apr 23 2018 Lubomir Rintel <lkundrak@v3.sk> - 29-3
- Obsolete libnm-glib based packages

* Thu Apr 12 2018 Kalev Lember <klember@redhat.com> - 29-2
- Fix bind99 obsoletes versions, obsolete mozjs17-devel

* Thu Apr 12 2018 Peter Robinson <pbrobinson@fedoraproject.org> 29-1
- bind99, mozjs17, python2-zeroconf, python2-chromecast

* Wed Feb 07 2018 Kalev Lember <klember@redhat.com> - 28-2
- Add xulrunner obsoletes

* Mon Nov 13 2017 Pete Walter <pwalter@fedoraproject.org> - 28-1
- Obsolete compat-ImageMagick693, compat-libvpx1

* Wed Nov  8 2017 Peter Robinson <pbrobinson@fedoraproject.org> 27-10
- Obsolete  compat-gnutls28, libsilc, pam_pkcs11, python-dapp

* Fri Oct 13 2017 Rex Dieter <rdieter@fedoraproject.org> - 27-9
- Obsoletes: kdegraphics-strigi-analyzer kfilemetadata
- bump libkexiv2 version

* Sat Oct 07 2017 Rex Dieter <rdieter@fedoraproject.org> - 27-8
- Obsolets: kf5-libkface (#1423813)

* Sat Oct 07 2017 Rex Dieter <rdieter@fedoraproject.org> - 27-7
- Obsoletes: strigi, libkexiv2 (#1498850)

* Tue Aug 29 2017 Kalev Lember <klember@redhat.com> - 27-6
- Add seed obsoletes

* Tue Aug 29 2017 Kalev Lember <klember@redhat.com> - 27-5
- Add hawkey and libhif obsoletes

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 27-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Tue Jul 11 2017 Adam Williamson <awilliam@redhat.com> - 27-3
- Add webkitgtk and webkitgtk3 (and -devel) - RHBZ #1443614

* Wed Jun 21 2017 Jason L Tibbitts III <tibbs@math.uh.edu> - 27-2
- Add various devassistant-related packages from https://bugzilla.redhat.com/show_bug.cgi?id=1463408

* Tue May 16 2017 Jason L Tibbitts III <tibbs@math.uh.edu> - 27-1
- Add perl ZMQ packages from https://bugzilla.redhat.com/show_bug.cgi?id=1451372

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 26-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Sep 14 2016 Jason L Tibbitts III <tibbs@math.uh.edu> - 26-1
- Initial release; nothing to obsolete yet.